ol {
list-style-type: none;
counter-reset: item;
margin: 0;
padding: 0;
}

ol > li {
padding-top:20px;
font-size:24px;
display: table;
counter-increment: item;
margin-bottom: 0.6em;
}

ol > li:before {
content: counters(item, ".") ". ";
display: table-cell;
padding-right: 0.6em;    
}

li ol > li {
padding-top:8px;
font-size:16px;
margin: 0;
}

li ol > li:before {
content: counters(item, ".") ". ";
}